Bug 6421 - Хранение сессий в /tmp
: Хранение сессий в /tmp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mod_php)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5990
:
  Show dependency tree
 
Reported: 2005-04-06 21:52 by
Modified: 2007-03-23 13:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-06 21:52:07
Как я понимаю для "временных" файлов сессий 
по умолчанию используется каталог '/tmp'.
Есть параметр позволяющий менять эту настройку
в php.ini
;session.save_path = /tmp

Возможно следует размещать хранимые сессии где-то в /var/lib или cache?
Вряд ли это те данные, которые должны храниться в /tmp.
------- Comment #1 From 2006-01-05 21:22:26 -------
Поскольку /tmp не предназначен для хранения данных, сохраняемых после 
перезагрузки, просьба убрать сессии оттуда, если нет противопоказаний. 
------- Comment #2 From 2006-01-07 18:49:52 -------
Да ладно, после перезагрузки сервера можно и грохнуть сессии. :)

А вообще есть /var/cache/httpd, некоторые настраивают mod_php класть сессии в
/var/cache/httpd/sessions.
------- Comment #3 From 2006-01-07 19:44:07 -------
На убийство сессий при перезагрузке сервера буду ругаться очень нехорошими
словами.

Сессии можно убивать исключительно по mtime.

И таки согласен, что лучше по-умолчанию вынести их из /tmp
------- Comment #4 From 2006-06-26 16:35:29 -------
fixed (php-4.4.3.cvs20060626-alt1)
------- Comment #5 From 2006-06-26 21:44:03 -------
Шо -- в /var/cache?  Урра!! :)